Summary:	OpenGL virtual desktop switcher
Name:		3ddesktop
Version:	0.2.9
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphical desktop/Other
Source0:	%{name}-%{version}.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
#This might not be the best way, but..
Source2:	%{name}.sh.bz2
Patch0:		3ddesktop-0.2.9-x86_64.patch
URL:		http://desk3d.sourceforge.net/
Requires:	imlib2 >= 1.0.2
BuildRequires:	imlib2-devel >= 1.0.2 
BuildRequires:  freetype-devel 
BuildRequires:  kdelibs-devel 
BuildRequires:  MesaGLU-devel 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
3d Destkop is an OpenGL program for switching virtual desktops in a
seamless 3-dimensional manner. The current desktop is mapped into a 3D
space where you may choose other screens. When activated the current
desktop appears to zoom out into the 3D view.  Several different
visualization modes are available.
You might want to add a keybinding in your window manager for this one.

%prep
%setup -q
%patch0 -p0

%build
./autogen.sh
CXXFLAGS="%{optflags} -O3" \
%configure2_5x	--sysconfdir=%{_sysconfdir}/X11 \
		--disable-dependency-tracking \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-kde-includes=%{_includedir}

%make

%install
rm -rf %{buildroot}
%{makeinstall_std}
bzcat %{SOURCE2} > %{buildroot}%{_bindir}/%{name}; chmod 755 %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=3DDesktop
Comment=OpenGL-based 3D desktop switcher
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Amusement;
EOF


install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%post
%{update_menus}
%{update_icon_cache hicolor}

%postun
%{clean_menus}
%{clean_icon_cache hicolor}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog TODO AUTHORS
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man1/*.1*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%config(noreplace) %{_sysconfdir}/X11/%{name}.conf



%changelog
* Wed Jan 16 2008 Adam Williamson <awilliamson@mandriva.com> 0.2.9-4mdv2008.1
+ Revision: 153574
- rebuild for new era
- fd.o icons
- XDG menu
- spec clean

  + Thierry Vignaud <tvignaud@mandriva.com>
    - import 3ddesktop


* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.9-3mdk
- Remove Redundant BuildRequires:
             - XFree86-devel is yet required by kdelibs-devel

* Fri Sep 16 2005 Pascal Terjan <pterjan@mandriva.org> 0.2.9-2mdk
- Fix build on x86_64 (P0)

* Thu Jul 07 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.9-1mdk
- 0.2.9
- %%mkrel

* Fri Mar 18 2005 Erwan Velu <erwan@seanodes.com> 0.2.8-1mdk
- 0.2.8

* Tue Jun 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.7-0.cvs20040615.1mdk
- update from cvs to have things compile with gcc-3.4
- add -O3 to CXXFLAGS

* Sat May 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.6-1mdk
- 0.2.6
- don't bzip2 icons in src.rpm
- fix buildrequires (lib64..)

* Sun Jul 13 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.5-3mdk
- change summary macro to avoid possible conflicts if you were to build
  debug packages

* Thu Jun 19 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.5-2mdk
- fix path to qt3 (lib64 issues..)

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.5-1mdk
- 0.2.5
- fixed buildrequires

* Tue Mar 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.4-2mdk
- Added libMesaGLU1-devel to BuildRequires

* Mon Nov 24 2002 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.4-1mdk
- 0.2.4

* Sun Nov 24 2002 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.3-3mdk
- Opps, specify %%dir %%{_datadir}/%%{name} in file list
- Don't use --fastest(yes, I did have som bad experiences;)

* Sun Nov 24 2002 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.3-2mdk
- Kde support now working, compile bug fixed(patch #0)

* Sun Nov 24 2002 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.2.3-1mdk
- Added kde stuff to configure(but failed to compile, disabled it for now)
- Added startup script
- Cleaned up a little
- Updated URL
- bzip2'ed source
- Corrected Summary
- Corrected Group
- Moved conf file into %%{_sysconfdir}/X11
- Added menuitem and icons

* Sun Nov 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.2.3-0.1mdk

* Tue Aug 13 2002 wiget@pld-linux.org
- move 3ddesktop.spec to 3ddesktop.spec.in and make VERSION substitute automagicaly
- small changes for easy future development
